import * as $dara from '@darabonba/typescript';
export declare class ModifyVpnRouteEntryWeightResponseBody extends $dara.Model {
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 5BE01CD7-5A50-472D-AC14-CA181C5C03BE
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
